# Super Mario Bros.: Tale of the Black Koopa

A hack of Super Mario Bros.

![Super Mario Bros.: Tale of the Black Koopa in action](/demo.png)

## Usage

### Requirements

cc65 must be installed on your system; the oldest supported version is `2.18`. No other dependencies are required.

Additionally a file containing the graphics for the original Super Mario Bros. game must be present on your system. This file is not provided.

### Installing

Clone this repository locally:

```shell
$ git clone https://forge.thatspaceandtime.org/ooxie/super-mario-bros-tale-of-the-black-koopa.git super_mario_bros_tale_of_the_black_koopa
$ cd super_mario_bros_tale_of_the_black_koopa
```

Copy the graphics file:

```shell
$ cp <path_to_the_graphics_file> src/chars.bin
```

### Building

To build the binary, execute:

```shell
$ cl65 -t nes -o target/super_mario_bros_tale_of_the_black_koopa.nes -C src/linker.cfg src/main.asm
```

### Running

To run the game, open the file `target/super_mario_bros_tale_of_the_black_koopa.nes` in your favorite NES emulator. Alternatively you can run it on original hardware.

### Playing

Refer to the original manual for Super Mario Bros.

## License

The source code of this project is not licensed, as the original work it is based on is not (see [LICENSE](/ooxie/super-mario-bros-tale-of-the-black-koopa/src/branch/master/LICENSE)).
